int-type.hpp File Reference
`#include <climits>`

Go to the source code of this file.

## Classes

class | Gecode::Support::IntTypeTraits< IntType >
| Traits to for information about integer types. More...
class | Gecode::Support::IntTypeTraits< signed char >
| Traits for signed char. More...
class | Gecode::Support::IntTypeTraits< unsigned char >
| Traits for unsigned char. More...
class | Gecode::Support::IntTypeTraits< signed short int >
| Traits for signed short int. More...
class | Gecode::Support::IntTypeTraits< unsigned short int >
| Traits for unsigned short int. More...
class | Gecode::Support::IntTypeTraits< signed int >
| Traits for signed integer. More...
class | Gecode::Support::IntTypeTraits< unsigned int >
| Traits for unsigned integer. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Support
| Support algorithms and datastructures

## Enumerations

enum | Gecode::Support::IntType { Gecode::Support::IT_CHAR = 0 , Gecode::Support::IT_SHRT = 1 , Gecode::Support::IT_INT = 2 }
| Description of integer types. More...

## Functions

IntType | Gecode::Support::u_type (unsigned int n)
| Return type required to represent n.
IntType | Gecode::Support::s_type (signed int n)
| Return type required to represent n.
IntType | Gecode::Support::s_type (int n)